org.eclipse.actf.visualization.engines.voicebrowser

## Interface IPacketCollection

All Superinterfaces:
  Collection<IPacket>, Iterable<IPacket>, List<IPacket>

    public interface IPacketCollection
    extends List<IPacket>

The interface to hold a group of audio packets.

See Also:
  `IPacket`, `IVoiceBrowserController`

### Method Summary

Methods
`int` `getBottomNodePosition()` Get index of bottom Node.
`Node` `getFirstNode()` Get first Node from collection
`Node` `getLastNode()` Get last Node from collection
`int` `getNodePosition(Node node)` Get index of target Node.
`int` `getTopNodePosition()` Get index of top Node.
`boolean` `isInsideAnchor(int i)` Check if the target packet is inside anchor.
`boolean` `isInsideForm(int i)` Check if the target packet is inside form.
`boolean` `isLineDelimiter(int i)` Check if the target packet is line delimiter.
`boolean` `isLinkTag(int i)` Check if the target packet is link tag.

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

### Method Detail

#### isLineDelimiter

    boolean isLineDelimiter(int i)

Check if the target packet is line delimiter.

Parameters:
  `i` - index of target packet
Returns:
  true if target is line delimiter

#### isLinkTag

    boolean isLinkTag(int i)

Check if the target packet is link tag.

Parameters:
  `i` - index of target packet
Returns:
  true if target is link tag

#### isInsideForm

    boolean isInsideForm(int i)

Check if the target packet is inside form.

Parameters:
  `i` - index of target packet
Returns:
  true if target is inside form

#### isInsideAnchor

    boolean isInsideAnchor(int i)

Check if the target packet is inside anchor.

Parameters:
  `i` - index of target packet
Returns:
  true if target is inside anchor

#### getFirstNode

    Node getFirstNode()

Get first Node from collection

Returns:
  first Node

#### getLastNode

    Node getLastNode()

Get last Node from collection

Returns:
  last Node

#### getTopNodePosition

    int getTopNodePosition()

Get index of top Node.

Returns:
  index of top Node

#### getBottomNodePosition

    int getBottomNodePosition()

Get index of bottom Node.

Returns:
  index of bottom node

#### getNodePosition

    int getNodePosition(Node node)

Get index of target Node.

Parameters:
  `node` - target node
Returns:
  index of the target node